API REFERENCE
Current Credits API
Query balances for normal API credits and monitoring credits.
GET
/open-api/v1/creditsFree·api.ppspy.comData and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/credits' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
| Parameter | Type | Description |
|---|---|---|
| This endpoint does not require parameters. | ||
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"normal": {
"total_credits": 745,
"used_credits": 0,
"credits": 745,
"purchased_credits": 745
},
"monitor": {
"total_credits": 745,
"used_credits": 0,
"credits": 745,
"purchased_credits": 745
}
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | none |
| » message | string | true | none | Response message | none |
| » data | object | true | none | Response data | none |
| »» normal | object | true | none | Normal credits | Open platform credits |
| »»» total_credits | integer | true | none | Total credits | Total accumulated credits |
| »»» used_credits | integer | true | none | Used credits | Used credits |
| »»» credits | integer | true | none | Remaining credits | Current remaining credits |
| »»» purchased_credits | integer | true | none | Purchased credits | Credits obtained from purchases |
| »» monitor | object | true | none | Monitor credits | Monitor task credits |
| »»» total_credits | integer | true | none | Total credits | Total accumulated credits |
| »»» used_credits | integer | true | none | Used credits | Used credits |
| »»» credits | integer | true | none | Remaining credits | Current remaining credits |
| »»» purchased_credits | integer | true | none | Purchased credits | Credits obtained from purchases |
